Subject: bug#70244: Bug in Guix? ... guix-command substitute' died unexpectedly

From: Zelphir Kaltstahl <[email-masked]>
Date: Mon, 8 Apr 2024 10:34:18 +0000

On 4/7/24 21:19, [email-masked] wrote:
> April 7, 2024 at 9:46 AM, "Zelphir Kaltstahl"<[email-masked]>  wrote:
>> On 4/7/24 03:17,[email-masked]  wrote:
>>>> I was able to update, yes, but I don't know, if the problem is solved. I got some error (not necessarily the same, I don't remember) on multiple occasions, when trying to update. I have no idea, whether it is something other people experience or just my installation.
>>>>   Now that you have updated.
>>> Does the below work without issue?
>>>
>>> $ guix pull && guix package -u
>>> # guix system reconfigure config.scm
>>>
>>> If you still experience issues with the above commands, please let me know!
>>>
>>> Thanks,
>>>
>>> Joshua
>> Hi Joshua!
>>
>> I just tried:
>>
>>   ~~~~START~~~~
>> guix pull && guix package -u
>>
>> ...
>> (lots of output)
>> ...
>>
>> building /gnu/store/3g7459g63by7wgnjksz3843apq7n7k6m-racket-8.11.1.drv...
>> substitute: updating substitutes from 'https://ci.guix.gnu.org  https://ci.guix.gnu.org/  '... 0.0%guix substitute: error: TLS error in procedure 'write_to_session_record_port': Error in the push function.
>> guix package: error: `/gnu/store/l4vir00gbprk85qzmm2v8l38z8jrfly0-guix-command substitute' died unexpectedly
>> ~~~~~END~~~~~
> That sounds like a bug.
>
> What does
>
> $ guix describe
> $ guix system describe
>
> output?
>
> What kind of computer do you have?

Hi again,

~~~~ $ guix describe Generation 49 Apr 07 2024 14:46:14 (current) guix 0fa6ba8 
repository URL: https://git.savannah.gnu.org/git/guix.git branch: master commit: 
0fa6ba879af5625a3220f94fd699d5fae9e999d4 ~~~~

That should be the version I pulled with `--no-substitutes`.

~~~~
$ guix system describe
guix system: error: no system generation, nothing to describe
~~~~

I guess this is, because I am running Guix on foreign distro? I should have 
mentioned that way earlier. Sorry. -.- Didn't make the jump to run Guix distro 
yet. Want to try that in a VM at some point.

This machine is a Lenovo T470s.

Installed is Xubuntu or Ubuntu with later installed XFCE:

~~~~
$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 22.04.4 LTS
Release:	22.04
Codename:	jammy
~~~~

Best regards,
Zelphir

-- 
repositories:https://notabug.org/ZelphirKaltstahl